Index: /branches/SHM-4.0-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- /branches/SHM-4.0-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 485)
+++ /branches/SHM-4.0-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 486)
@@ -2448,13 +2448,8 @@
   printf("QP adaptation                : %d (range=%d)\n", m_bUseAdaptiveQP, (m_bUseAdaptiveQP ? m_iQPAdaptationRange : 0) );
   printf("GOP size                     : %d\n", m_iGOPSize );
-#if O0194_DIFFERENT_BITDEPTH_EL_BL
-  printf("Input bit depth Layer0       : (Y:%d, C:%d)\n", m_acLayerCfg[0].m_inputBitDepthY   , m_acLayerCfg[0].m_inputBitDepthC    );
-  printf("Input bit depth Layer1       : (Y:%d, C:%d)\n", m_acLayerCfg[1].m_internalBitDepthY, m_acLayerCfg[1].m_internalBitDepthC );
-  printf("Internal bit depth Layer0    : (Y:%d, C:%d)\n", m_acLayerCfg[0].m_internalBitDepthY, m_acLayerCfg[0].m_internalBitDepthC );
-  printf("Internal bit depth Layer1    : (Y:%d, C:%d)\n", m_acLayerCfg[1].m_internalBitDepthY, m_acLayerCfg[1].m_internalBitDepthC );
-#else
+#if !O0194_DIFFERENT_BITDEPTH_EL_BL
   printf("Internal bit depth           : (Y:%d, C:%d)\n", m_internalBitDepthY, m_internalBitDepthC );
-#endif
   printf("PCM sample bit depth         : (Y:%d, C:%d)\n", g_uiPCMBitDepthLuma, g_uiPCMBitDepthChroma );
+#endif
 #if O0215_PHASE_ALIGNMENT
   printf("cross-layer sample alignment : %d\n", m_phaseAlignFlag);
@@ -2485,8 +2480,5 @@
   
   printf("TOOL CFG: ");
-#if O0194_DIFFERENT_BITDEPTH_EL_BL
-  printf("IBD0:%d ", g_bitDepthY > m_acLayerCfg[0].m_inputBitDepthY || g_bitDepthC > m_acLayerCfg[0].m_inputBitDepthC);
-  printf("IBD1:%d ", g_bitDepthY > m_acLayerCfg[1].m_inputBitDepthY || g_bitDepthC > m_acLayerCfg[1].m_inputBitDepthC);
-#else
+#if !O0194_DIFFERENT_BITDEPTH_EL_BL
   printf("IBD:%d ", g_bitDepthY > m_inputBitDepthY || g_bitDepthC > m_inputBitDepthC);
 #endif
Index: /branches/SHM-4.0-dev/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- /branches/SHM-4.0-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 485)
+++ /branches/SHM-4.0-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 486)
@@ -404,4 +404,5 @@
   UInt getInternalBitDepthY(Int iLayer)      {return m_acLayerCfg[iLayer].m_internalBitDepthY; }
   UInt getInternalBitDepthC(Int iLayer)      {return m_acLayerCfg[iLayer].m_internalBitDepthC; }
+  Bool getPCMInputBitDepthFlag()             {return m_bPCMInputBitDepthFlag;                  }
 #else
   UInt getInternalBitDepthY()      {return m_internalBitDepthY; }
Index: /branches/SHM-4.0-dev/source/App/TAppEncoder/TAppEncLayerCfg.cpp
===================================================================
--- /branches/SHM-4.0-dev/source/App/TAppEncoder/TAppEncLayerCfg.cpp	(revision 485)
+++ /branches/SHM-4.0-dev/source/App/TAppEncoder/TAppEncLayerCfg.cpp	(revision 486)
@@ -167,4 +167,9 @@
   printf("Real     Format               : %dx%d %dHz\n", m_iSourceWidth - m_confLeft - m_confRight, m_iSourceHeight - m_confTop - m_confBottom, m_iFrameRate );
   printf("Internal Format               : %dx%d %dHz\n", m_iSourceWidth, m_iSourceHeight, m_iFrameRate );
+#if O0194_DIFFERENT_BITDEPTH_EL_BL
+  printf("Input bit depth               : (Y:%d, C:%d)\n", m_inputBitDepthY   , m_inputBitDepthC    );
+  printf("Internal bit depth            : (Y:%d, C:%d)\n", m_internalBitDepthY, m_internalBitDepthC );
+  printf("PCM sample bit depth          : (Y:%d, C:%d)\n", m_cAppEncCfg->getPCMInputBitDepthFlag() ? m_inputBitDepthY : m_internalBitDepthY, m_cAppEncCfg->getPCMInputBitDepthFlag() ? m_inputBitDepthC : m_internalBitDepthC );
+#endif
 #if LAYER_CTB
   printf("CU size / depth               : %d / %d\n", m_uiMaxCUWidth, m_uiMaxCUDepth );
Index: /branches/SHM-4.0-dev/source/Lib/TLibEncoder/WeightPredAnalysis.cpp
===================================================================
--- /branches/SHM-4.0-dev/source/Lib/TLibEncoder/WeightPredAnalysis.cpp	(revision 485)
+++ /branches/SHM-4.0-dev/source/Lib/TLibEncoder/WeightPredAnalysis.cpp	(revision 486)
@@ -258,5 +258,5 @@
           refDC <<= (g_bitDepthYLayer[1]-g_bitDepthYLayer[0]);
 #endif
-         }
+        }
 #endif
 
@@ -266,7 +266,9 @@
         Int offset = (Int)( ((currDC<<log2Denom) - ((Int64)weight * refDC) + (Int64)realOffset) >> realLog2Denom );
 #if O0194_WEIGHTED_PREDICTION_CGS
-        if (slice->getRefPic(eRefPicList, refIdxTemp)->isILR(slice->getLayerId())){
-        }
-        else{
+        if (slice->getRefPic(eRefPicList, refIdxTemp)->isILR(slice->getLayerId()))
+        {
+        }
+        else
+        {
           dWeight = 1;
           offset  = 0;
@@ -295,5 +297,6 @@
 #if O0194_WEIGHTED_PREDICTION_CGS
         // make sure the reference frames other than ILR are not using weighted prediction
-        if (!(slice->getRefPic(eRefPicList, refIdxTemp)->isILR(slice->getLayerId()))){
+        if (!(slice->getRefPic(eRefPicList, refIdxTemp)->isILR(slice->getLayerId())))
+        {
           continue;
         }
